Public Class frmVorauskasseFuellen
    Public kdnr = -1
    Dim FM As New VERAG_PROG_ALLGEMEIN.cFormularManager
    Private Sub frmVorauskasseFuellen_Load(sender As Object, e As EventArgs) Handles MyBase.Load

    End Sub

    Private Sub btnWeiter_Click(sender As Object, e As EventArgs) Handles btnWeiter.Click
        Dim list As New List(Of VERAG_PROG_ALLGEMEIN.MyListItem)
        If IsNumeric(kdnr) AndAlso kdnr > 0 Then
            Dim KDSQL As New kundenSQL
            Dim kd = KDSQL.getKundeFMZOLLByKdNr(kdnr)

            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VERAG_MA", "")) ' AKT MA
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Ansprechpartner", kd.Ansprechpartner))
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Firmenname", (kd.Name_1 & " " & kd.Name_2).Trim))
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Straße", kd.Straße))
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("PLZ  Ort", kd.LandKz & " " & kd.PLZ & " " & kd.Ort))
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Tel", kd.Telefon.Replace(" ", "") & " / " & kd.Telefax.Replace(" ", "")))
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Fax", kd.Telefax))
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("EMail", kd.E_Mail))
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("UIDNr", kd.UstIdKz & kd.UstIdNr))
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("EORINr", kd.EORITIN))
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Absender", ""))
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("ATREUR", ""))
            'AVISOID SENDUNGSI '
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("LKWKennzeichen", ""))
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Unternehmen", ""))
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("AnzVerpackung", ""))
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Warenbezeichnung", ""))
            list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Gewicht", ""))
        End If

        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Rechnungsbetrag", lblRechnungsbetrag.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("auslFracht", txtFrachtkostenAusl.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("SummeZOLL", txtZwischensumme.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("ZollProzent", txtZollProzent.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Zoll", txtZoll.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("inlFracht", txtFrachtkostenInl.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("EUSTSonstTxt", txtEustSonstText.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("EUSTSonstige", txtEustSonstBetrag.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("SummeEUST", txtSumme.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("EustProzent", txtEustProzent.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Eust", txtEUST.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("AndereAbgabenTxt", txtAndereAbgabenText.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Betrag1", txtAndereAbgabenText.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Betrag2", txtVerzollungskosten.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Betrag3", txtWeitereTarifPos.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Betrag4", txtATLAS.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Betrag5", txtClearing.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Betrag6", txtKorrRechnung.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Betrag7", txtUebersetzungRg.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Betrag8", txtAviso.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Betrag9", txtSvs.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Betrag10", txtSonstigeKosten.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("MWSTProzent", txtMwstProzent.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("MWST", txtMWST.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("PP", txtPapierePorti.Text))
        list.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Gesamt", txtGesamtsumme.Text))

        FM.fillPDF("Importaviso_Standard.pdf", list, Nothing)
        '
    End Sub
End Class